List prepaid purchase invoices
curl --request GET \
--url https://api.checkfu.com/v1/billing/credits/purchases \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/billing/credits/purchases"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/billing/credits/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/billing/credits/purchases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/billing/credits/purchases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/billing/credits/purchases")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/billing/credits/purchases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"minimum_purchase_minor_units": 123,
"currency": "usd",
"rows": [
{
"id": "<string>",
"amount_paid_minor_units": 123,
"total_minor_units": 123,
"refunded_minor_units": 123,
"currency": "usd",
"state": "draft",
"created_at": "<string>",
"invoice_url": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed",
"code": "validation.malformed"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#billing-entitlement-unavailable",
"code": "billing.entitlement_unavailable"
},
"type": "error",
"request_id": "<string>"
}List prepaid purchase invoices
Reads organization-scoped provider invoices for prepaid usage credits, including payment/refund state and original invoice identity.
GET
/
v1
/
billing
/
credits
/
purchases
List prepaid purchase invoices
curl --request GET \
--url https://api.checkfu.com/v1/billing/credits/purchases \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/billing/credits/purchases"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/billing/credits/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/billing/credits/purchases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/billing/credits/purchases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/billing/credits/purchases")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/billing/credits/purchases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"minimum_purchase_minor_units": 123,
"currency": "usd",
"rows": [
{
"id": "<string>",
"amount_paid_minor_units": 123,
"total_minor_units": 123,
"refunded_minor_units": 123,
"currency": "usd",
"state": "draft",
"created_at": "<string>",
"invoice_url": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed",
"code": "validation.malformed"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#billing-entitlement-unavailable",
"code": "billing.entitlement_unavailable"
},
"type": "error",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Query Parameters
Maximum string length:
2048